uart_add_one_port
Prev | Chapter 23. 16x50 UART Driver | Next

## Name

uart_add_one_port — attach a driver-defined port structure

## Synopsis

`int uart_add_one_port (` | struct uart_driver * | drv,
| struct uart_port * | port`)`;

## Arguments

`drv`

  pointer to the uart low level driver structure for this port

`port`

  uart port structure to use for this port.

## Description

This allows the driver to register its own uart_port structure with the core driver. The main purpose is to allow the low level uart drivers to expand uart_port, rather than having yet more levels of structures.

Prev | Up | Next
uart_unregister_driver | Home | uart_remove_one_port